# Packages (FFmpegKit)

com.arthenica.ffmpegkit

## Class Packages

- java.lang.Object
- - com.arthenica.ffmpegkit.Packages

    public class Packages
    extends java.lang.Object

Helper class to extract binary package information.

### Constructor Summary

Constructors
Constructor and Description
`Packages()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<java.lang.String>` `getExternalLibraries()` Returns enabled external libraries by FFmpeg.
`static java.lang.String` `getPackageName()` Returns the FFmpegKit binary package name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Packages

    public Packages()

### Method Detail

#### getPackageName

    public static java.lang.String getPackageName()

Returns the FFmpegKit binary package name.

Returns:
  predicted FFmpegKit binary package name

#### getExternalLibraries

    public static java.util.List<java.lang.String> getExternalLibraries()

Returns enabled external libraries by FFmpeg.

Returns:
  enabled external libraries